<id>
Create IM preferences file for Advanced Instant Message Box - SP1
</id>

<version>
1.0
</version>

<mod info>
Creates a default (username).imconfig file upon a new user registering.
This mod REQUIRES "advanced_imbox_sp1_11.mod" that enables Admin to send "Welcome IM".
You must have enabled IM Popup's or IM Sounds or both for this to be useful.
You MUST put the enclosed "YouveGotMail.wav" file in your Sounds directory.

Seeing how this mod's intent is to "force" the user to have by default "Popup" and/or "Sound"
notification enabled, you might suggest to your new user in the "Welcome IM", that they have the 
ability to turn off these forced notifications by going to "Preferences" should they desire to.

Files to be uploaded upon completion:
english.lng
Sources/Register.pl
Sources/AdminEdit.pl
(soundsdir)/YouveGotMail.wav
</mod info>

<author>
DummyProof
</author>

<homepage>
http://cgi.tripod.com/yabbsp1_1/cgi-bin/YaBB.pl
</homepage>

<edit file>
english.lng
</edit file>

<search for>
$txt{'796'} = "Your Instant Messages:";
</search for>

<add after>
$cimdtxt{'01'} = "Create new user Default IM settings?";
</add after>

<edit file>
Sources/Register.pl
</edit file>

<search for>
	&FormatUserName($member{'username'});
</search for>

<add after>
	if($createimdat) {
		$uname = $member{'username'};
		$ignorelist = " ";
		$notify = "0";
		$sound=" ";
		$popup=" ";
		if($enable_mailsounds) {$sound = "YouveGotMail.wav";}
		if($enable_mailpopup) {$popup = "on";}
		fopen(FILE, ">$memberdir/$uname.imconfig");
		print FILE "$ignorelist\n$notify\n$sound\n$popup\n";
		fclose(FILE);
	}
</add after>

<edit file>
Sources/AdminEdit.pl
</edit file>

<search for>
	if ($maintenance) { $mainchecked = ' checked'; }
</search for>

<add before>
	if ($createimdat) { $cidchecked = ' checked'; }
</add before>

<search for>
	my($menuchecked, $ubbcchecked, $aluchecked, $cpchecked, $pbchecked, $insertchecked, $newschecked, $gpchecked, $notifchecked);
</search for>

<add after>
	my($cidchecked);
</add after>

<search for>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type=text name="numibox" size="5" value="$numibox"></td>
  </tr><tr>
</search for>

<add after>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><font size="2">$cimdtxt{'01'}</font></td>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type=checkbox name="createimdat"$cidchecked></td>
  </tr><tr>
</add after>

<search for>
	# Set as 0 or 1 if box was checked or not
</search for>

<add before>
	push(@onoff, "createimdat");
</add before>

<search for>
\$send_welcomeim = $send_welcomeim;
</search for>

<add after>
\$createimdat = $createimdat;				# Set to 1 to create default .imconfig for new user
</add after>